# Update calling config

Updates calling config. Fields you leave out keep their current values.

```http
PATCH https://api.pozy.ai/v1/whatsapp/phone-numbers/{id}/calling
```

- Area: WhatsApp / WhatsApp Calling
- Auth: Authorization: Bearer pz_live_...
- Deprecated

## Path parameters

- `id` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `forwardTo`, string
- `sipAuthUsername`, string: Can be null
- `sipAuthPassword`, string: Can be null
- `recordingEnabled`, boolean
- `callIconCountries`, array of string: Can be null
- `maxCallDurationSeconds`, integer: 30 to 14400. Can be null
- `forwardCallerId`, string: One of `business`, `caller`

## Example request

```bash
curl -X PATCH "https://api.pozy.ai/v1/whatsapp/phone-numbers/6bfebd43ddc270f6d2c56fc5/calling" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/phone-numbers/6bfebd43ddc270f6d2c56fc5/calling", {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.patch(
    "https://api.pozy.ai/v1/whatsapp/phone-numbers/6bfebd43ddc270f6d2c56fc5/calling",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200
